AbstractPeptideDigestRenderer (BioJava-1.5-beta API)
Keywords: org.biojava.bio.gui.sequence.AbstractPeptideDigestRenderer class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.bio.gui.sequence
Class AbstractPeptideDigestRenderer

    java.lang.Object
      org.biojava.utils.AbstractChangeable
          org.biojava.bio.gui.sequence.MultiLineRenderer
              org.biojava.bio.gui.sequence.AbstractPeptideDigestRenderer

All Implemented Interfaces:
  Serializable, SequenceRenderer, Changeable

Direct Known Subclasses:
  PeptideDigestRenderer

    public abstract class AbstractPeptideDigestRenderer

extends MultiLineRenderer

A SequenceRenderer that renders a set of Features that match a FeatureFilter in such a way that they do not overlap in the display.

Since:
  1.5
Author:
  Mark Southern
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface org.biojava.bio.gui.sequence.SequenceRenderer
`SequenceRenderer.RendererForwarder`

Field Summary
`static ChangeType` | `DIGEST`
`static String` | `LANE`

Fields inherited from class org.biojava.bio.gui.sequence.MultiLineRenderer
`renderers, RENDERERS`

Constructor Summary
`AbstractPeptideDigestRenderer()`
`AbstractPeptideDigestRenderer(FeatureSource source)`
`AbstractPeptideDigestRenderer(FeatureSource source, FeatureFilter filter)`
`AbstractPeptideDigestRenderer(FeatureSource source, FeatureFilter filter, int distanceBetweenFeatures)`

Method Summary
`abstract FeatureRenderer` | `createRenderer(int lane)`
`protected void` | `doRefreshRenderers()`
`protected void` | `doSortPeptides()`
`int` | `getDistanceBetweenFeatures()`
`FeatureSource` | `getFeatureSource()`
`FeatureFilter` | `getFilter()`
`void` | `setDistanceBetweenFeatures(int d)`
`void` | `setFeatureSource(FeatureSource source)`
`void` | `setFilter(FeatureFilter filter)`
`void` | `sortPeptidesIntoLanes()`

Methods inherited from class org.biojava.bio.gui.sequence.MultiLineRenderer
`_addRenderer, _removeRenderer, addRenderer, clearRenderers, getChangeSupport, getDepth, getMinimumLeader, getMinimumTrailer, paint, processMouseEvent, removeRenderer`

Methods inherited from class org.biojava.utils.AbstractChangeable
`addChangeListener, addChangeListener, generateChangeSupport, hasListeners, hasListeners, isUnchanging, removeChangeListener, removeChangeListener`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DIGEST

    public static final ChangeType DIGEST

### LANE

    public static final String LANE

See Also:
  Constant Field Values

Constructor Detail

### AbstractPeptideDigestRenderer

    public AbstractPeptideDigestRenderer()

### AbstractPeptideDigestRenderer

    public AbstractPeptideDigestRenderer(FeatureSource source)

### AbstractPeptideDigestRenderer

    public AbstractPeptideDigestRenderer(FeatureSource source,
                                         FeatureFilter filter)

### AbstractPeptideDigestRenderer

    public AbstractPeptideDigestRenderer(FeatureSource source,
                                         FeatureFilter filter,
                                         int distanceBetweenFeatures)

Method Detail

### setFeatureSource

    public void setFeatureSource(FeatureSource source)

### getFeatureSource

    public FeatureSource getFeatureSource()

### getFilter

    public FeatureFilter getFilter()

### setFilter

    public void setFilter(FeatureFilter filter)

### setDistanceBetweenFeatures

    public void setDistanceBetweenFeatures(int d)

### getDistanceBetweenFeatures

    public int getDistanceBetweenFeatures()

### sortPeptidesIntoLanes

    public void sortPeptidesIntoLanes()
                               throws ChangeVetoException

  Throws:
    `ChangeVetoException`

### doRefreshRenderers

    protected void doRefreshRenderers()
                               throws ChangeVetoException

  Throws:
    `ChangeVetoException`

### createRenderer

    public abstract FeatureRenderer createRenderer(int lane)

### doSortPeptides

    protected void doSortPeptides()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD